export const TRANSLATIONS_EN = {
  header: {
    language_select: "Change Language"
  },

  // Landing Page
  landing: {
    title: {
      landing: ""
    },

    nav: {
      pricing: "Pricing",
      about: "About",
      plugin: "Plugin",
      downloads: "Downloads",
      contact: "Contact",
      signup: "Sign Up",
      login: "Login"
    },

    hero: {
      pre_headline: "For Organizations & Institutions",
      headline: "A fully integrated way to connect and interact",
      post_headline:
        "Create your future with us, network, collaborate, educate and learn remotely",
      call_to_action: "Try Zuri Chat for free"
    },

    featureRowOne: {
      title: "Seamless collaboration",
      headline: "Communicate and collaborate from wherever you are",
      description:
        "Invite your team to your workspace. Stay connected,stay in sync, and explore ideas together from anywhere.",
      link: "Create your own workspace"
    },

    featureRowTwo: {
      title: "Remote Education",
      headline: "Learn on the Go",
      description:
        "Take your classroom everywhere, make learning fun, stay engaged and inspired with the virtual lounge and games.",
      link: "Learn more about the virtual lounge"
    },

    featureRowThree: {
      title: "All-in-one Workspace",
      headline: "Customise your Workspace",
      description:
        "One tool, several plugins. Track company expenses, send information fast and smoothly, manage files and integrate tools all with Zuri.chat.",
      link: "Explore Plugins"
    },

    featureRowFour: {
      title: "Advanced Search",
      headline: "Access Files and Messages in your Workspace Effortlessly",
      description:
        "With the search tool, find previously shared messages, files and links with ease.",
      link: "Learn more about Search"
    },

    cardOne: {
      title:
        "A flexible Way to Educate, Collaborate and Team Up From Wherever You Are",
      button: "Sign up now for Free"
    },

    cardTwo: {
      title: "Be the First to get updates and exclusive offers from Zuri Chat",
      description:
        "Enrich your Zuri Chat experience by signing up here to get the latest news and special deals on Zuri Chat",
      button: "Subscribe"
    },

    footer: {
      company: "Company",
      careers: "Careers",
      about: "About",
      why_zuri_chat: "Why Zuri Chat?",
      info: "Info",
      privacy: "Privacy & Terms",
      legal: "Legal",
      market: "Market Place",
      blog: "Blog",
      security: "Security",
      web3: "Web3/DAO",
      knowUs: "Know us",
      downloads: "Downloads",
      contact: "Contact",
      documentation: "Documentation",
      socialMedia: "Social Media",
      rights: " All Rights Reserved"
    },

    cookies: {
      textOne: "We use third-party",
      textTwo: "cookies",
      textThree: "in order to personalize your site experience.",
      accept: "Allow",
      decline: "Decline"
    }
  },

  // Pricing Page
  pricing: {
    title: {
      pricing: "Pricing - Zuri Chat"
    },

    cardOne: {
      headline: "Features",
      post_headline:
        "Create your future with us, network, collaborate, educate and learn remotely",
      call_to_action: "Try Zuri Chat for free"
    },

    cardThree: {
      duration_one: "Annual",
      duration_two: "Monthly",
      button: "Get Started"
    },

    sectionThree: {
      headline: "Leading the way in enterprise security",
      description:
        "In addition to encryption in transit and at rest, we operate comprehensive compliance ans assurance programs.",
      link: "Learn more about security..."
    },

    sectionFour: {
      headline: "Whatever work you do, you can do it in Zuri Chat",
      button_one: "Talk to Sales",
      button_two: "TRY IT FREE"
    },

    FAQ: {
      headline: "Commonly Asked Questions",
      link_info: "Get more information on",
      link: "billing at Zuri Chat."
    }
  },

  // Plugin Page
  plugin: {
    title: {
      plugin: "Connect and Interact"
    },

    dm: {
      title: "Direct Message Plugin",
      headline: "Sends Direct Messages",
      description:
        "A plugin that facilitates the sending of messages between collaborators",
      link: "Explore DM Plugin "
    },

    tracker: {
      title: "Contribution Tracker's Plugin",
      headline: "Track peoples Contributions and Highlights Pressing Issues",
      description:
        "A plugin that allows you track peoples contribution to open source projects, and highlight most pressing issues",
      link: "Explore Contribution Tracker Plugin"
    },

    music: {
      title: "Music Plugin",
      headline: "Access to music and music videos on the go!",
      description:
        "Music Plugin allows individuals in an organization to add music and video links from YouTube to a shared playlist.",
      link: "Explore Music Plugins"
    },

    games: {
      title: "Chess Plugin",
      headline: "Make learning fun, stay engaged with the virtual games",
      description:
        "Zuri chesss plugin is a web based recreational and competitive board game played between two players.",
      link: "Explore Games Plugin"
    },

    goal: {
      title: "Company Goal's Plugin",
      headline: "Keep track of Goals",
      description:
        "A plugin that allows you to keep track of company's goals and achievements",
      link: "Explore Companys Goal Plugin"
    },

    todo: {
      title: "Todo Plugin",
      headline: "Keeps track of important task",
      description:
        "A plugin that allows you list everything that you have to do and make sure that your tasks are written down all in one place so you don't forget anything important.",
      link: "Explore Todo's plugin"
    },

    channels: {
      title: "Channels Plugin",
      headline: "Organizes conversations into dedicated spaces",
      description:
        "A plugin that lets a group of indivduals in a channel know about timely, relevant informations in order to achieve a certain goal",
      link: "Explore Channels plugin"
    },

    noticeboard: {
      title: "Noticeboard Plugin",
      headline: "Share Information Effectively",
      description:
        "Its an Effective plugin for displaying information and communicating with collaborators",
      link: "Explore Noticeboard Plugin"
    },

    company_files: {
      title: "Company Files Plugin",
      headline: "Access and Manages Company's Files Effectively",
      description:
        "An effective file management system that improves business workflow, organizes important data and provides a searchable database for quick retrieval.",
      link: "Explore Company Files Plugins"
    },

    company_sales: {
      title: "Company Sales Plugin",
      headline: "Keeps track of Sales record",
      description:
        "An effective sales system that keeps track of company's sales records.",
      link: "Explore Company Sales Plugins"
    },

    deadline: {
      title: "Deadline Plugins",
      headline: "Deadline Tracker",
      description:
        "A plugin that keeps track of deadlines of task, events, projects assigned to members of an organisation",
      link: "Explore Deadline Plugins"
    },

    expenses: {
      title: "Expenses Plugins",
      headline: "Keeps track of Expenses",
      description:
        "A plugin that helps to keep an accurate record of a company's expenses",
      link: "Explore Expenses Plugins"
    },

    duty_shift: {
      title: "Duty Shift Plugin",
      headline: "Tracking your shifts has never been easier!",
      description:
        "A plugin that helps indiviuals track their working hours and communicate with other employees.",
      link: "Explore Duty Shift Plugin"
    },

    external_tools: {
      title: "External Tools Plugins",
      headline: "Usage of 3rd Party Tools",
      description:
        "The External Tools plugin is a feature which allows users to interact with third party tools like Google Drive, Figma, Github, etc. to make work flow for themselves or their team faster and easier",
      link: "Explore Tools Plugin"
    },

    whiteboard: {
      title: "Whiteboard Plugin",
      headline: "Idea sharing and Team collaborations",
      description:
        "The whiteboard plugin is used for visualizing thoughts, concepts, write down ideas, explain and teach, to plan and create within a certain group of individuals",
      link: "Explore Whiteboard Plugins"
    },

    holiday: {
      title: "Holiday Calender Plugin",
      headline: "Schedules Events or holidays for staffs",
      description:
        "Company Holiday Calendar Plugin is a plugin that enables calendar functions mainly to organize or schedule holidays or events for a company",
      link: "Explore Company's Calender Plugin"
    },

    company_shift: {
      title: "Company Shift Plugin",
      headline: "Monitors a Company's Working Hours",
      description:
        "A plugin that keeps track of a company's working hour and how it is distributed among employees of the company.",
      link: "Explore Company Shift Plugin"
    },

    signup: {
      headline: "Get plugins that you would enjoy",
      description:
        "Integrate your favorite plugins and get more exciting experience",
      link: "Discover more"
    },

    subscribe: {
      headline: "Be the First to get updates",
      headline_br: "on latest plugins from Zuri Chat",
      description: "Enrich your Zuri Chat experience by subscribing",
      description_br: "here to get the latest plugins via Emails",
      description_brr: "on Zuri Chat!",
      button: "Subscribe"
    }
  },

  // About Page
  about: {
    title: {
      about: ""
    },

    banner: {
      headline_one: "Make work simple, pleasant and ",
      headline_two: "more productive.",
      description:
        "is a collaboration hub that brings the right people and tools together to get work done. From Fortune 100 companies to corner markets, millions of people around the world use Zuri Chat to connect their teams, unify their systems, and drive their business forward."
    },

    counter: {
      customers: "Paid",
      customers_: "Customers",
      fortune_companies: "of the Fortune 100",
      fortune_companies_: "use",
      countries: "countries have daily",
      countries_: "active users in"
    },

    whoWeAre: {
      title: "Who we are and how to join us",
      description:
        "Our mission is to improve people's working life by providing a platform that can host a strong diverse team , of creative professionals who want to do the best work of their lives",
      description_:
        "promises all kinds of opportunities and a simple, pleasant and more productive working life."
    },

    highlights: {
      title: "Working remotely more intriguing than ever",
      description: "Zuri Chat is where work meets fun.",
      description_:
        "Connect and interact with your team efficiently from anywhere around the globe",
      channels: {
        title: "Channels",
        description: "Organize conversations into dedicated ",
        description_: "spaces called channels"
      },
      holidayCalender: {
        title: "Holiday Calender",
        description: "Add holidays, set reminders ",
        description_: "and see all events at a glance"
      },
      companyDeadline: {
        title: "Company Deadline",
        description: "Keep track of deadlines with ",
        description_: "the company deadline ",
        description__: "feature"
      },
      quickReply: {
        title: "Quick Reply App",
        description: "Get swift replies to Direct ",
        description_: "Messages"
      },
      todoList: {
        title: "To do List",
        description: "Organize tasks with the to-do-list",
        description_: "feature"
      }
    },

    features: {
      title: "Special Features",
      description:
        "Increase your productivity by assembling all your work tools into one place",
      avatar: {
        title: "Animated Avatar Loungue",
        description: "Create and animate your own avatar in the avatar lounge"
      },
      files: {
        title: "Company Files",
        description: "Access your files on google drive while on Zuri Chat."
      },
      accessibility: {
        title: "Accessibility",
        description: "Be in control, Use Zuri Chat and enjoy",
        description_: "the best accessibility features"
      },
      goals: {
        title: "Company Goals",
        description: "Keep up with company goals",
        description_: "right inside Zuri Chat"
      }
    },

    cta: {
      title: "Whatever work you do, you can do it in Zuri Chat",
      link_sales: "Talk to sales",
      link_try: "Try it for free"
    }
  },
  careers: {
    title: {
      careers: "Careers"
    },
    section_one: {
      headline: "Careers at Zuri Chat",
      post_headline:
        "Passionate about making work life simpler, and more productive? Join our remote-friendly and flexible team.",
      join_link: "Join Zuri Chat"
    },
    career_grid: {
      headline: "Join Our Internship",
      post_headline:
        "Zuri Internship is a 100% free, remote and fast paced training for young professionals seeking to hon their tech skills and boost their resume.",
      categories: {
        category_frontend: {
          headline: "Frontend Development",
          post_headline:
            "This track deals with the aspect of your application that the users interact with. A front-end developer will be able to correctly interpret a given design to the user interface."
        },
        category_backend: {
          headline: "Backend Development",
          post_headline:
            "This track deals with the aspect of the application the user does not directly interact with. It allows the frontend function either by running some back-end code or connecting to the database."
        },
        category_design: {
          headline: "Design",
          post_headline:
            "This track deals with creating a graphic plan for an application. You will learn to convert project documentation into viewable and understandable graphic design for the developers to work with."
        },
        category_mobile: {
          headline: "Mobile Development",
          post_headline:
            "The mobile track contains a list of tools and languages needed for a developer to create mobile applications. A mobile application can be IOS or Android."
        },
        category_digital_marketing: {
          headline: "Digital Marketing",
          post_headline:
            "It encomprises the use of digital means and utilities to boost discoverability of products, services and brands."
        },
        category_frameworks: {
          headline: "Frameworks",
          post_headline:
            "During the program we will be exploring several useful frameworks to give you an edge in the industry and help you develop complex applications much faster."
        }
      },
      join_cohort: "Be a part of our next cohort starting summer of 2022",
      register_now: "Register Now"
    },
    section_two: {
      headline: "Working and Thriving",
      post_headline:
        "We offer benefits that help you feel your best and do your best.",
      digital_wellness: {
        headline: "Digital-First Office",
        post_headline:
          "With remote roles, office-free onboarding and flexible working practices, we are set up for ever-changing realities, schedules and responsibilities."
      },
      just_for_you: {
        headline: "Just For You",
        post_headline:
          "Receive an annual allowance for professional development, plus a monthly stipend to cover your needs; A new work look, a pet, whatever matters most to you."
      },
      health_and_wellness: {
        headline: "Health and Wellness",
        post_headline:
          "Zuri Pays 100% of your premiums. We also offer access to a range of free mental health and well-being resources."
      }
    }
  },
  auth: {
    login: {
      title: "Login - Zuri Chat",
      form: {
        header: "Login",
        sub_header: "Login with the data you entered during your registration",
        google_header: "Login with Google",
        topline_text: "OR",
        submitButtonName: "Log in",
        bottomLine: "New to us?",
        bottomLink: "Create an Account",
        signUp: "Signup",
        authInputBox: {
          emailInputName: "Email address",
          passwordInputName: "Password",
          passwordInputPlaceHolder: "Enter a password",
          rememberMe: "Remember me",
          forgotPassword: "Forgot password?",
          getHelp: "Get help signing in"
        }
      },
      footer: {
        contactUs: "Contact Us",
        legacyPolicy: "Legal Policy",
        aboutZuri: "About Zuri Chat"
      }
    },
    signup: {
      title: "Sign Up",
      form: {
        header: "Create Account",
        googleHeader: "Sign up with Google",
        topLineText: "OR",
        submitButtonName: "Sign up",
        bottomLine: "Already have an account?",
        bottomLink: "Log in",
        input: {
          fullName: "Full Name",
          fullNamePlaceholder: "Enter your Name",
          emailAddress: "Email Address",
          emailAddressPlaceholder: "Enter you email address",
          password: "Password",
          inputPassword: "Enter a password"
        }
      },
      privacyAgreement: "I agree to Zuri Chat's",
      termsOfService: "Terms of services",
      privacy: "Privacy"
    },
    passwordreset: {
      title: "Reset Password",
      headline: "Get a new password",
      post_headline:
        "Enter the email address you registered with and a reset code will be sent to your email.",
      form: {
        emailAddress: "Email Address",
        continueButton: "Continue"
      }
    },
    newPassword: {
      header: "Recover Password",
      post_headline: "Create a new password for your account",
      form: {
        password: "Password",
        passwordPlaceholder: "Enter your new password",
        confirmPassword: "Confirm Password",
        confirmPasswordPlaceholder: "Confirm your new password",
        continueButton: "Continue"
      }
    },
    verifyCodeOnPasswordReset: {
      header: "Enter the reset code sent to your mail",
      success: {
        headline: "Reset Code Verification Successful!",
        post_headline: "Click on the Button to continue",
        continueButton: "Continue"
      }
    },
    passwordResetSuccess: {
      headline: "Passwowrd Reset Successful!",
      post_headline:
        "Your password reset was succesful! you can proceed to login now",
      button: "Continue to login"
    },
    signout: {
      title: "Sign Out",
      preOrgText: "Signed out of Team",
      workspace: "Workspace",
      signoutMessage: {
        preOrgText: "You have been signed out of Team"
      },
      loginText: "Login",
      postLoginText: "to another workspace"
    },
    onboardingHelp: {
      title: "Troubleshooting Problems",
      backToHome: "Back to Home",
      loginHelp: {
        headline: "Troubleshooting problems signing into Zuri Chat",
        post_headline:
          "If are having problem signing into your account, the following might help you.",
        list: {
          textOne:
            "Check if you're using correct email address and password to login. If you think your account might have been compromised",
          linkOne: "click here to reset your password",
          textTwo:
            "Are you using the latest version of Zuri Chat mobile or desktop app? Kindly check the current version of your apps. If you're not sure of which version you're using, try",
          linkTwo: "updating or downloading the app",
          textThree:
            "If the same trouble still persists, kindly uninstall the app, clear your mobile phone's cache and install again.",
          textFour:
            "If you're using a browser, you might have used a wrong password from autocomplete suggestions. We advise you type your ZuriChat email address and password manually again",
          textFive:
            "If all methods above doesn't work, try a new browser or try signing in on incognito mode",
          textSix:
            "Do you have an account with us? If you don't have an account here, you won't be able to login. Go to",
          linkSix: "to create an account"
        }
      },
      signUpHelp: {
        headline: "Unable to Create an Account?",
        post_headline:
          "Okay, if you have problem creating an account, try the suggestions below",
        list: {
          preTextOne: "Ensure you're using a",
          strongText: "Valid email address",
          postTextOne: "and check your email inbox for the authentication code",
          textTwo:
            "Use another device or browser to create your account. You can as well clear your browser's cache",
          textThree:
            "Check the network in your area. If the network is good, reload the sign-up page",
          textFour:
            "If you're not receiving authentication code, kindly wait for 30 minutes and try again",
          textFive:
            "If you're using Zuri Chat mobile or desktop app, update to the latest version or you can",
          linkFive: "download here"
        }
      },
      support: {
        headline: "Do you still need help?",
        preLinkText:
          "If you've tried all the suggestions above but to no avail, kindly",
        linkText: "contact Zuri Customer Service",
        postLinkText: "for help."
      }
    }
  },

  // All download pages
  download_desktop: {
    title: {
      download: ""
    },

    section_one: {
      headline: "Experience the Zuri Chat’s desktop and mobile apps",
      post_headline:
        "Connecting with your team has never been easier with Zuri Chat.",
      desktop_line: "Zuri for Desktop",
      desktop_app: "Download on Mac App Store",
      desktop_soft: "Get it from Microsoft",
      mobile_line: "Zuri for Mobile",
      mobile_app: "Download on App Store",
      mobile_play: "Get it on Google Play"
    },

    section_two: {
      headline:
        "Download and enjoy the Zuri Chat experience on any these devices",
      windows: "Windows",
      mac: "macOS",
      ios: "iOS",
      android: "Android"
    },

    section_three: {
      headline: "Same feel, same team on Zuri App!"
    }
  },
  download_ios: {
    title: {
      download: ""
    },

    section_one: {
      headline: "Download Zuri Chat beta for iOS.",
      post_headline: "Get Zuri Chat DM & Channel",
      mac_line: "We’re on Mac, too",
      mac_description:
        "Keep up with the conversation with our apps for Mac, Windows and Linux. We can email you a quick download link to get you started!",
      button: "GET DOWNLOAD LINK"
    }
  },
  download_mac: {
    title: {
      download: ""
    },

    section_one: {
      headline: "Experience Zuri Chat on MacOS",
      post_headline:
        "Connecting with your team has never been easier with Zuri Chat.",
      download: "DOWNLOAD",
      download_soft: "Download for Windows?"
    },

    section_two: {
      headline: "Why Zuri Chat App?",
      post_headline:
        "Never miss the seamless collaboration experience even on the go with the Zuri chat pc",
      android: "Android",
      and_break: "and",
      ios: "iOS",
      apps_break: "apps."
    },

    section_three: {
      headline: "Same feel, same team on Zuri App!",
      download: "DOWNLOAD FOR MAC",
      download_soft: "Download for Windows?"
    }
  },
  download_mobile: {
    title: {
      download: ""
    },

    section_one: {
      headline: "Experience the Zuri Chat’s desktop and mobile apps",
      post_headline:
        "Connecting with your team has never been easier with Zuri Chat."
    },

    section_two: {
      headline:
        "Download and enjoy the Zuri Chat experience on any these devices",
      windows: "Windows",
      mac: "macOS",
      android: "Android",
      ios: "iOS"
    },

    section_three: {
      headline: "Same feel, same team on Zuri App!"
    }
  },
  download_windows: {
    title: {
      download: "Download Zuri Chat"
    },

    section_one: {
      headline: "Experience Zuri Chat on Windows",
      post_headline:
        "Connecting with your team has never been easier with Zuri Chat.",
      download: "DOWNLOAD",
      download_mac: "Download for Mac?"
    },

    section_two: {
      headline: "Why Zuri Chat App?",
      post_headline:
        "Never miss the seamless collaboration experience even on the go with the Zuri Chat pc",
      android: "Android",
      and_break: "and",
      ios: "iOS",
      apps_break: "apps."
    },

    section_three: {
      headline: "Same feel, same team on Zuri App!",
      download: "DOWNLOAD FOR WINDOWS",
      download_ios: "Download for Mac?"
    }
  },

  // Workspace Page
  workspace: {
    title: {
      workspace: "Workspace - Zuri Chat"
    },

    space: {
      headline: "Choose a workspace",
      post_headline:
        "Welcome back! Pick one to get back to working with your team",
      join_line:
        "Want to work with another group? or Take charge and start your own team",
      joinbtn: "Create a workspace",
      foot_head: "Not seeing your workspace?",
      foot_link: "Try a different email",
      open: "Open",
      selected: "selected",
      errno: "401",
      errmsg: "You're not logged in!",
      errlink: "Login here.",
      err_no: "404",
      err_msg: "Oops something went wrong! Go to",
      err_link: "zuri.chat"
    }
  },

  //Why Zuri Page
  why_zuri_chat: {
    title: "Meet Zuri Chat - an affordable Slack alternative",
    hero_paragraph1:
      "If you are searching for the perfect Slack alternative, look no further.",
    hero_paragraph2:
      "Zuri Chat is on a mission to simplify individual work life and increase productivity with an intriguing collaborative hub powered by Artificial Intelligence and sustained by DAO.",
    blog_content_header: "Why Zuri Chat?",
    text_wrap1: "Clarity",
    text_wrap1_p:
      "Proficient task execution is essential to driving your business forward, and Zuri Chat helps you get more done. Our Company Deadline plugin makes Task Management easy for collaborations of all sizes, from startups to global firms. Optimize your workflows by tracking status, monitoring progress, and discussing issues.",
    text_wrap2: "Speed",
    text_wrap2_p:
      "Zuri Chat understands that time is money in the business sphere. Our Zuri Chat Dm Reply plugin saves you time spent on communication. That need for speed is satisfied by optimization of Real-time communication, twice faster file sharing and customized notifications, so you never miss a thing; announcements, task status updates, calls, etc.",
    text_wrap3: "Retentive Capacity",
    text_wrap3_p:
      "Every company or a team needs room to grow. When it comes to file storage, the best Slack alternative is found in Zuri Company Files, as we provide all our customers with twice more room for storage making doubly convenient for you to store and share multiple files when collaborating within your team.",
    text_wrap4: "Optimized Productivity",
    text_wrap4_p:
      "Improve your team's performance and build morale with a Token-based Remuneration system. Zuri Chat plugins is designed to boost collaboration and reduce the time spent on meetings, emails and interactions between colleagues and encourage team progress towards shared business goals with rewards.",
    text_wrap5: "Superb Ease",
    text_wrap5_p:
      "We won’t overload you with confusing or distracting features. Zuri Chat is an easy to start and easy to use team-hub with intuitive and crystal clear user interface.",
    text_wrap6: "Unlimited Message Retention",
    text_wrap6_p:
      "Never miss a single message. Zuri Chat Dm Reply is accessible from the very first message as whatever's written in Zuri Chat stays in Zuri Chat. No hidden costs. No limits.",
    text_wrap7: "Always available to Help",
    text_wrap7_p:
      "Hit a snag? Got a question? Our 24/7 Help Team will take extra steps and walk extra miles to ensure you have an easy and pleasant experience with Zuri Chat.",
    bottom_card: "Your Team would definitely love",
    bottom_link: "Sign Up Now!"
  }
}
